<div class="card text-center h-100" *ngIf="artist">
  <div class="card-header">
    <h2>{{artist.name}}</h2>
  </div>
  <div class="card-body">
    <h5 class="card-title">{{artist.description}}</h5>
    <img class="card-img-top" src="{{url + 'artist/get-image/' + artist._id}}" alt="imagen artista">
    <div class="mt-3">
      <a routerLink="/album-add/{{artist._id}}" class="btn btn-primary">Añadir album</a>
    </div>
  </div>
  <div class="card-footer text-muted">
    <div *ngIf="albums" class="mt-3">
      <ul class="list-group">
        <li class="list-group-item" *ngFor="let album of albums">
          <div class="d-inline-block">
            <img class="album-img" src="{{url + 'album/get-image/' + album._id}}" alt="">
          </div>
          <div class="d-inline-block titulo-album">
            <small class="year">{{album.year}}</small>
            <br>
            <a routerLink="/album/{{album._id}}">
              <h4>{{album.title}}</h4>
            </a>
            <div class="mt-4">
              <a class="btn btn-sm btn-warning" routerLink="/album-edit/{{album._id}}">Editar</a>
              <button class="btn btn-sm btn-danger mx-2" data-toggle="modal"
                [attr.data-target]="'#modal'+ album._id">Borrar</button>
              <!-- Modal -->
              <div class="modal fade" id="modal{{album._id}}" tabindex="-1" role="dialog" aria-hidden="true">
                <div class="modal-dialog" role="document">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">Borrar {{album.title}}</h5>
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      ¿Seguro que quieres borrar el álbum {{album.title}}?
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                      <button type="button" class="btn btn-danger" (click)="deleteAlbum(album._id)"
                        data-dismiss="modal">Sí, borrar</button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </li>
      </ul>
    </div>
  </div>
</div>